#include <bv4618_I.h>
#include <Wire.h>

BV4618_I di(0x31,9); // 0x62 I2C address (8 bit)

void setup()
{
}

void loop()
{
const char kb[]={0x7d,0xee,0xed,0xeb,0xde,0xdd,0xdb,0xbe,0xbd,0xbb,0xe7,0xd7,0xb7,0x77,0x7e,0x7b};  
char tmp;
  // set up display geometry
  di.setdisplay(2,16);
  // set up keyboard scan codes, alter the above constant array
  // this will depend on how the keypad has been wired
  di.setkeycodes(kb);
  // clear screen
  di.cls();
  di.puts("Display Test");
  di.rowcol(1,1);
  
  // This requires a wire from the INT pin of the BV4618 to pin
  // D9 on the Ardino. The pin is specified in the constructor
//  while(1) {
//    if(!di.keyint()) {
//      tmp=di.key();
//      if(tmp > 9) tmp+='A'-10;
//      else tmp+='0';
//      di.putch(tmp);
//      di.putch(' ');
//    }
//   }
  // This does not require a wire as it poles keys for a value
  // other then 0. di.keys returns the number of keys in the 
  // buffer
  while(1) { // do forever
    if(di.keys()) {
      tmp=di.key();
      if(tmp > 9) tmp+='A'-10;
      else tmp+='0';
      di.putch(tmp);
      di.putch(' ');
      // a delay releases bus - no keys will be lost as the BV4218
      // will capture every keypress for when the cpu comes back
      delay(500); 
    }
   }
}
