#include <BSerial.h>
#include <bv4618_S.h>

#define rxPin 5
#define txPin 4

BV4618_S bv(rxPin, txPin);

void setup()  {
  // key scan codes, not necessary but makes reading
  // kepad easier
  const char kb[]={0x7d,0xee,0xed,0xeb,0xde,0xdd,0xdb,0xbe,0xbd,0xbb,0xe7,0xd7,0xb7,0x77,0x7e,0x7b};  
  // 9600 Baud, 0 delay, '*' as ACK
  bv.begin(9600,50,'*');
  bv.puts("\e[4L\e[20c"); // 4 x 20 display
  bv.setkeycodes(kb); // set keys
}

void loop() {
char k, k1, b[6];
int j;
  // clear screen, needs a delay
  bv.puts("\e[2J"); delay(50); // clear screen
  
  // get device ID
  j=bv.cmd("\e[?31d");
  itoa(j,b,10);
  bv.puts("\e[1;1HID=");
  bv.puts(b);
  
  // Some text
  bv.puts(" Ready "); // some text
while(1);  // **** remove if keypad fitted

  while(1) {
  k=bv.keys();
    if(k) {
      //k1=bv.keyscan(); // uncomment see codes
      k1=bv.key();
      itoa(k1,b,16);
      bv.puts(b);
    }
    delay(100);
  }
  while(1);
}


